Ant API: Class Rmic

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Rmic

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Rmic

public class Rmic
extends Task

Task to compile RMI stubs and skeletons. This task can take the following arguments:

- base: The base directory for the compiled stubs and skeletons
- class: The name of the class to generate the stubs from
- stubVersion: The version of the stub prototol to use (1.1, 1.2, compat)
- sourceBase: The base directory for the generated stubs and skeletons
- classpath: Additional classpath, appended before the system classpath

Of these arguments, the base and class are required.

Author:
  duncan@x180.com, ludovic.claude@websitewatchers.co.uk

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Rmic()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBase(java.lang.String base)`
`void` | `setClass(java.lang.String classname)`
`void` | `setClassname(java.lang.String classname)`
`void` | `setClasspath(java.lang.String classpath)` Set the classpath to be used for this compilation.
`void` | `setFiltering(java.lang.String filter)`
`void` | `setSourceBase(java.lang.String sourceBase)`
`void` | `setStubVersion(java.lang.String stubVersion)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rmic

    public Rmic()

Method Detail

### setBase

    public void setBase(java.lang.String base)

### setClass

    public void setClass(java.lang.String classname)

### setClassname

    public void setClassname(java.lang.String classname)

### setSourceBase

    public void setSourceBase(java.lang.String sourceBase)

### setStubVersion

    public void setStubVersion(java.lang.String stubVersion)

### setFiltering

    public void setFiltering(java.lang.String filter)

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Set the classpath to be used for this compilation.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: Task
  Called by the project to let the task do it's work. Normally it does nothing.
  Overrides:
    execute in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.